//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-junit-plugin/src/main/groovy/org/openscm/kundo/plugins/JUnitDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;

/**
 * junit Delegate
 *
 * @author <a href="mailto:steve.king@upco.co.uk">Steve king</a>
 * @version 1.0.0

Description: The junit plugin calls Junit batch tests for each output directory set by the kundo-project-plugin.

<p>The junit delegate consumes data set by the kundo-project-plugin and uses each test output path to run batch
tests. Single unit tests can be run on classes defined as a comma separated list.</p>
 */
public class JunitDelegate
    extends AbstractPluginTargetDelegate
{
    private Map indexedProps = null;

    private java.lang.String testClasses = null;

    private java.lang.Object projectProperties = null;

    private java.lang.Object defaultReportdir = null;

    private java.lang.Object defaultTestIncludepattern = null;

    private java.lang.Object defaultTestExcludepattern = null;

    private java.lang.Object defaultReportPrintsummary = null;

    private java.lang.Object defaultReportFormatter = null;

    private JunitDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public JunitDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable indexedProps
     *
     * @param indexedProps Map of indexed properties to be injected
     */
    public void setIndexedProps(Map indexedProps) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable testClasses
     *
     * @param testClasses String list of comma separated classes to run single tests on
     */
    public void setTestClasses(java.lang.String testClasses) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable defaultReportdir
     *
     * @param defaultReportdir String location to write junit reports to
     */
    public void setDefaultReportdir(java.lang.String defaultReportdir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable defaultTestIncludepattern
     *
     * @param defaultTestIncludepattern String representation of the file include pattern for tests
     */
    public void setDefaultTestIncludepattern(java.lang.String defaultTestIncludepattern) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable defaultTestExcludepattern
     *
     * @param defaultTestExcludepattern String representation of the file exclude pattern for tests
     */
    public void setDefaultTestExcludepattern(java.lang.String defaultTestExcludepattern) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable defaultReportPrintsummary
     *
     * @param defaultReportPrintsummary String representation of if a summary should be created
     */
    public void setDefaultReportPrintsummary(java.lang.String defaultReportPrintsummary) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable defaultReportFormatter
     *
     * @param defaultReportFormatter String representation of the type of reports that junit should generate
     */
    public void setDefaultReportFormatter(java.lang.String defaultReportFormatter) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Batch test functionaility. Loops through project test properties and creates batch tests for each using
     * any speciefed test properties or if none exist using the plugin defaults.
     *
     * @param projectTestProperty List of Project test properties
     * @param counter current index for project properties
     */
    public java.lang.Object batchTests(java.lang.Object projectTestProperty, java.lang.Object counter) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Create formatted string of batch test variables for debugging
     *
     * @param junitProperty - Individual Batch test setup variables
     */
    public java.lang.String batchTestPrint(Expando junitProperty) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Defines class path variables for use during testing.
     *
     * @param projectProperties Map of project properties
     */
    public java.lang.Object defineClasspath(java.lang.Object projectProperties) {
        throw new InternalError("Stubbed method");
    }

    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
